### Function

# Gio DBusSignalCallback

since: 2.26

#### Declaration

    void
    (* GDBusSignalCallback) (
      GDBusConnection* connection,
      const gchar* sender_name,
      const gchar* object_path,
      const gchar* interface_name,
      const gchar* signal_name,
      GVariant* parameters,
      gpointer user_data
    )

#### Description

Signature for callback function used in g_dbus_connection_signal_subscribe().

Available since: 2.26

#### Parameters

`connection`

  Type: `GDBusConnection`

  A `GDBusConnection`.

  The data is owned by the caller of the function.

`sender_name`

  Type: `const gchar*`

  The unique bus name of the sender of the signal, or `NULL` on a peer-to-peer D-Bus connection.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`object_path`

  Type: `const gchar*`

  The object path that the signal was emitted on.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`interface_name`

  Type: `const gchar*`

  The name of the interface.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`signal_name`

  Type: `const gchar*`

  The name of the signal.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`parameters`

  Type: `GVariant`

  A `GVariant` tuple with parameters for the signal.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data passed when subscribing to the signal.

  The argument can be `NULL`.
  The data is owned by the caller of the function.